import Phaser from '../lib/phaser.js'

export default class Game extends Phaser.Scene {
 constructor() {
   super('game') ;
 }

 preload() {
   // chargement de l’image en lui associant un identifiant appelé ‘background’
   this.load.image('background', 'assets/background/nebula.red.png');
   this.load.spritesheet("shooter", "assets/shooter/tiledShooter.png", { frameWidth: 53.5, frameHeight: 60 });
  }

  create() {
    this.cursors = this.input.keyboard.createCursorKeys();

    this.background = this.add.tileSprite(300,400,600,800,'background');

    this.anims.create({
      key: "fly",
      frameRate: 30,
      frames: this.anims.generateFrameNumbers("shooter", { start: 0, end: 19 }),
      repeat: -1
     });
    
    this.shooter = this.physics.add.sprite(300, 600, 'shooter');
    this.shooter.play("fly");
  }
   
  update() {        
    this.background.tilePositionY -= 5;

    // player control
    if ( this.cursors.left.isDown) {
      this.shooter.setVelocityX(-200);
    } else if ( this.cursors.right.isDown) {
      this.shooter.setVelocityX(200);
    } else if ( this.cursors.up.isDown) {
      this.shooter.setVelocityY(-200);
    } else if ( this.cursors.down.isDown) {
      this.shooter.setVelocityY(200);
    } else {
      this.shooter.setVelocity(0);
    }

  }  
}